## org.eclipse.jet
Interface IWriterListener

All Known Implementing Classes:
  MarkerHelper, UserRegionHelper

    public interface IWriterListener

Callback interface allowing participation in the finalization of a `JET2Writer`'s content.

Method Summary
`void` `finalizeContent(JET2Writer writer, java.lang.Object file)` Perform any finalization of the content in the writer.
`void` `postCommitContent(JET2Writer writer, java.lang.Object file)` Perform any post processing on the committed file based on content written.

Method Detail

### finalizeContent

    void finalizeContent(JET2Writer writer,
                         java.lang.Object file)
                         throws JET2TagException

  Perform any finalization of the content in the writer.

  Parameters:
    `writer` - the writer in the process of being finalized
    `file` - a handle to object to which the content will ultimately be written. The standard JET2 Workspace tags pass an org.eclipse.core.resources.IFile, but other tags may pass objects of other types.
  Throws:
    `JET2TagException` - if the method cannot complete normally

### postCommitContent

    void postCommitContent(JET2Writer writer,
                           java.lang.Object file)
                           throws JET2TagException

  Perform any post processing on the committed file based on content written.

  Parameters:
    `writer` - the writer that provided the committed content.
    `file` - a handle to the object containing the comitted content. The standard JET2 Workspace tags pass an org.eclipse.core.resources.IFile, but other tags may pass objects of other types.
  Throws:
    `JET2TagException` - if method cannot complete normally.

Copyright 2006 IBM Corporation and others. All Rights Reserved.